SIMPLE Platform

Download the latest version of the SIMPLE Platform:

Simple Platform 2.6

Requirements:

  • PHP 5.3
  • MySQL 4.2 or above
  • Apache 2.2 or IIS

Note: if upgrading from a previous version, you should run simple2_6_upgrade.sql from the uploads folder.

License: GPL 3.0 Open Source Licence

Previous Versions:

SIMPLE Platform 2.5 (zip)

SIMPLE Platform 2.4 (zip)

SIMPLE Platform 2.3 (zip)

SIMPLE Platform 2.2 (zip)

Notes: This new version of SIMPLE is a major release and requires MySQL as the database server. This is because the MDB2 database abstraction layer has been removed. This is a major revision which should ensure that installation of the SIMPLE Platform is now a very straightforward experience.

Note that because of fundamental changes to the database, SIMPLE 2.2 is not compatible with previous versions. A new installlation is therefore required. The zipped simulation files will still install on both SIMPLE version 2.2 and previous versions.

__________________________________________

Simple Platform 2.1 beta (zip)

Requirements:

  • PHP 5.3
  • PEAR component, with MDB2 package
  • MDB2 compatible database server (MySQL, MSSQL*, Oracle, PostGres)
  • Apache2 or IIS

__________________________________________

Simple Platform 1.1.4 (zip)

Simple Platform 1.1.3 (zip)

Simple Platform 1.1.2 (zip)

Requirements:

  • PHP 5
  • ZIP extension (included from PHP 5.2)
  • PEAR component, with MDB2 package
  • MDB2 compatible database server (MySQL, MSSQL*, Oracle, PostGres)
  • Apache2 or IIS

* There appears to be an issue with identities, the MDB2 database library and MSSQL which may block use of MSSQL as a database.

© 2017 SIMPLE Community.